ecalength(1)

NAME
ecalength - prints audio file lenght and other information

SYNOPSIS
ecalength [-ahtsfmbcr] FILE1 [FILE2] [FILEn]

DESCRIPTION

This is ecalength, a few lines of code pompously named so because they let one retrieve the length of an audio file from the command line using ecasound's engine.

Limitations:

    - With files without header information (raw files), ecalength will only work correctly if the audio file is at a sampling rate of 44100 hz. (Addressed with the -a switch.)

    - It is not foolproof, feeding it with something other than an audio file WILL result in ugly things being spewed back. (A bit better)

    - A thousand more that I haven't thought of.

OPTIONS

-h  Prints this usage message. (help)

-a[:]bits,channels,rate
    Changes the format assumed by default for headerless data. (adjust)

-t  Prints the summed length of all the files processed. (total) (Ignored if with -s)

-s  Enables script mode: One info type per file per line. (script) (Defaults to length in secs.)

-f  With -s will return the format string as info, alone it will add it to the main display. (format)

-b  If -s and -f are enabled with this the info printed will be the sample's bitwidth. (bits)

-c  If -s and -f are enabled with this the info printed will be the channel count. (channel count)

-r  If -s and -f are enabled with this the info printed will be the sampling rate. (rate)

-m  Will print human computable time as in main display but in batch fashion. (minutes) (Only with -s)

SEE ALSO

ecasound(1), ecatools(1)

AUTHOR

S.Massy, <observer |at| colba.net>